Subject: PMP> Majordomo Filtering of PWG Mailing lists

From: Jeff Schnitzer <[email-masked]>
Date: Wed, 02 Apr 1997 12:11:54 -0500

Several individuals have recently had mail rejected by the Majordomo
mailing list software we are using on the PWG server.  I thought I'd
take this opportunity to explain what is happenning.

In order to eliminate mail storms (like those we experienced when 
Underscore first set up the PWG server), the Majordomo software looks
for suspicious phrases in both the subject line and a more extended
list in the first five lines of the message body.  I'll detail the
forbidden text below.

In addition, Majordomo imposes certain other limits to avoid problems
with various older mail agents:
	-  Header lines must not exceed 192 bytes.
	-  Header fields must not exceed 1024 bytes.
	-  Message size in excess of 120,000 bytes.

The filtered subjects are those that start with:
	-  subscribe
	-  unsubscribe
	-  help
	-  RCPT:
	-  Delivery Confirmation
	-  NON-DELIVERY of
	-  Undeliverable Message
	-  Receipt Confirmation
	-  Failed mail
	-  change <*> address
	-  request <*> addition

The phrase are filtered against appearing anywhere in the first 
five lines of the message body:
	-  delete me
	-  remove me
	-  add me
	-  change <*> address
	-  request <*> addition
	-  subscribe
	-  sub
	-  unsubscribe
	-  unsub
	-  mail11
	-  undeliverable
	-  transcript of session
	-  original message was received
	-  message could not be delivered
	-  block not createable after
	-  bounce
	-  bounced
	-  not deliver after
	-  returned mail

Finally, Majordomo may reject messages if any of the first five lines 
of the message body begin with:
	-  help
	-  info
	-  lists
	-  which
	-  index
	-  who
	-  get
	-  approve
	-  passwd
	-  newinfo
	-  config
	-  newconfig
	-  writeconfig
	-  mkdigest

I hope this helps explain things.  If you can't find a way to rephrase
a forbidden phrase, you might try "pig-latin"... 

/Jeff

---------------------------------------------------------------
Jeffrey D. Schnitzer      |   Email:  [email-masked] 
Underscore, Inc.          |   Voice:  (603) 889-7000
41-C Sagamore Park Rd     |     Fax:  (603) 889-2699   
Hudson, NH  03051-4915    |     Web:  http://www.underscore.com
---------------------------------------------------------------